// WARNING! All changes made in this file will be lost!
// Created from 'calls.style' by 'codegen_style'
//
// This file is part of Desktop App Toolkit,
// a set of libraries for developing nice desktop applications.
//
// For license and copyright information please follow this link:
// https://github.com/desktop-app/legal/blob/master/LEGAL
//
#pragma once

#include "ui/style/style_core.h"

namespace style {
namespace internal {

void init_style_calls(int scale);

} // namespace internal

struct Shadow;
struct IconButton;
struct FlatLabel;
struct CallButton;
struct LabelSimple;
struct InputField;
struct WindowTitle;
struct Toast;
struct RippleAnimation;
struct Menu;
struct PanelAnimation;
struct PopupMenu;
struct PeerListItem;
struct PeerList;
struct MultiSelect;
struct SettingsButton;
struct CrossLineAnimation;
struct GroupCallUserpics;
struct RoundButton;
struct Box;
struct LevelMeter;
struct Check;
struct Radio;
struct Checkbox;
struct Toggle;
struct MediaSlider;
struct ArcsAnimation;

struct CallSignalBars {
	int width;
	int radius;
	int skip;
	int min;
	int max;
	style::color color;
	double inactiveOpacity;
};

struct CallBodyLayout {
	int height;
	int photoTop;
	int photoSize;
	int nameTop;
	int statusTop;
	int muteStroke;
	int muteSize;
	style::point mutePosition;
};

} // namespace style

namespace st {
extern const int &callRadius;
extern const style::Shadow &callShadow;
extern const int &callWidthMin;
extern const int &callHeightMin;
extern const int &callWidth;
extern const int &callHeight;
extern const int &callBottomControlsHeight;
extern const style::CallBodyLayout &callBodyLayout;
extern const style::CallBodyLayout &callBodyWithPreview;
extern const style::icon &callMutedPeerIcon;
extern const style::size &callOutgoingPreviewMin;
extern const style::size &callOutgoingPreview;
extern const style::size &callOutgoingPreviewMax;
extern const style::size &callOutgoingDefaultSize;
extern const int &callInnerPadding;
extern const style::margins &callFingerprintPadding;
extern const int &callFingerprintSkip;
extern const int &callFingerprintSignalBarsSkip;
extern const style::margins &callSignalBarsPadding;
extern const int &callFingerprintTop;
extern const int &callFingerprintBottom;
extern const style::icon &callTooltipMutedIcon;
extern const style::point &callTooltipMutedIconPosition;
extern const style::margins &callTooltipPadding;
extern const style::IconButton &callButton;
extern const style::FlatLabel &callButtonLabel;
extern const style::CallButton &callAnswer;
extern const style::CallButton &callHangup;
extern const style::CallButton &callCancel;
extern const style::CallButton &callMicrophoneMute;
extern const style::CallButton &callMicrophoneUnmute;
extern const style::CallButton &callCameraMute;
extern const style::CallButton &callCameraUnmute;
extern const int &callBottomShadowSize;
extern const style::FlatLabel &callName;
extern const style::FlatLabel &callStatus;
extern const style::FlatLabel &callRemoteAudioMute;
extern const int &callRemoteAudioMuteSkip;
extern const int &callBarHeight;
extern const style::IconButton &callBarMuteToggle;
extern const style::icon &callBarUnmuteIcon;
extern const int &callBarRightSkip;
extern const int &callBarSkip;
extern const style::IconButton &callBarHangup;
extern const style::LabelSimple &callBarLabel;
extern const style::FlatLabel &callBarInfoLabel;
extern const int &callBarLabelTop;
extern const style::point &callArrowPosition;
extern const style::icon &callArrowIn;
extern const style::icon &callArrowOut;
extern const style::icon &callArrowMissed;
extern const int &callArrowSkip;
extern const style::IconButton &callReDial;
extern const style::IconButton &callCameraReDial;
extern const style::margins &callRatingPadding;
extern const style::IconButton &callRatingStar;
extern const style::icon &callRatingStarFilled;
extern const int &callRatingStarTop;
extern const style::InputField &callRatingComment;
extern const int &callRatingCommentTop;
extern const style::margins &callDebugPadding;
extern const style::FlatLabel &callDebugLabel;
extern const int &callPanelDuration;
extern const style::CallSignalBars &callPanelSignalBars;
extern const style::CallSignalBars &callBarSignalBars;
extern const style::IconButton &callTitleButton;
extern const style::icon &callTitleMinimizeIcon;
extern const style::icon &callTitleMinimizeIconOver;
extern const style::icon &callTitleMaximizeIcon;
extern const style::icon &callTitleMaximizeIconOver;
extern const style::icon &callTitleRestoreIcon;
extern const style::icon &callTitleRestoreIconOver;
extern const style::icon &callTitleCloseIcon;
extern const style::icon &callTitleCloseIconOver;
extern const style::WindowTitle &callTitle;
extern const style::icon &callTitleShadow;
extern const style::Toast &callErrorToast;
extern const int &groupCallWidth;
extern const int &groupCallHeight;
extern const style::RippleAnimation &groupCallRipple;
extern const style::Menu &groupCallMenu;
extern const style::Shadow &groupCallMenuShadow;
extern const style::PanelAnimation &groupCallPanelAnimation;
extern const style::PopupMenu &groupCallPopupMenu;
extern const style::PeerListItem &groupCallMembersListItem;
extern const style::PeerList &groupCallMembersList;
extern const style::FlatLabel &groupCallInviteDividerLabel;
extern const style::margins &groupCallInviteDividerPadding;
extern const style::PeerList &groupCallInviteMembersList;
extern const style::MultiSelect &groupCallMultiSelect;
extern const int &groupCallMembersTop;
extern const int &groupCallTitleTop;
extern const int &groupCallSubtitleTop;
extern const style::margins &groupCallMembersMargin;
extern const style::SettingsButton &groupCallAddMember;
extern const style::icon &groupCallAddMemberIcon;
extern const int &groupCallAddMemberIconLeft;
extern const style::FlatLabel &groupCallSubtitleLabel;
extern const style::FlatLabel &groupCallTitleLabel;
extern const style::point &groupCallAddButtonPosition;
extern const int &groupCallMembersWidthMax;
extern const style::IconButton &groupCallActiveButton;
extern const int &groupCallMemberButtonSkip;
extern const style::CrossLineAnimation &groupCallMemberInactiveCrossLine;
extern const style::CrossLineAnimation &groupCallMemberColoredCrossLine;
extern const style::icon &groupCallMemberInvited;
extern const style::point &groupCallMemberInvitedPosition;
extern const style::CallButton &groupCallSettings;
extern const style::CallButton &groupCallHangup;
extern const int &groupCallButtonSkip;
extern const int &groupCallButtonBottomSkip;
extern const int &groupCallMuteBottomSkip;
extern const style::GroupCallUserpics &groupCallTopBarUserpics;
extern const style::RoundButton &groupCallTopBarJoin;
extern const style::Box &groupCallBox;
extern const style::Box &groupCallLayerBox;
extern const style::LevelMeter &groupCallLevelMeter;
extern const style::icon &groupCallCheckboxIcon;
extern const style::Check &groupCallCheck;
extern const style::Radio &groupCallRadio;
extern const style::Checkbox &groupCallCheckbox;
extern const style::Toggle &groupCallSettingsToggle;
extern const style::SettingsButton &groupCallSettingsButton;
extern const style::SettingsButton &groupCallSettingsAttentionButton;
extern const style::FlatLabel &groupCallBoxLabel;
extern const int &groupCallRowBlobMinRadius;
extern const int &groupCallRowBlobMaxRadius;
extern const style::LabelSimple &groupCallDelayLabel;
extern const style::margins &groupCallDelayLabelMargin;
extern const style::MediaSlider &groupCallDelaySlider;
extern const style::margins &groupCallDelayMargin;
extern const style::IconButton &groupCallTitleButton;
extern const style::icon &groupCallTitleMinimizeIcon;
extern const style::icon &groupCallTitleMinimizeIconOver;
extern const style::icon &groupCallTitleMaximizeIcon;
extern const style::icon &groupCallTitleMaximizeIconOver;
extern const style::icon &groupCallTitleRestoreIcon;
extern const style::icon &groupCallTitleRestoreIconOver;
extern const style::icon &groupCallTitleCloseIcon;
extern const style::icon &groupCallTitleCloseIconOver;
extern const style::WindowTitle &groupCallTitle;
extern const int &groupCallMajorBlobIdleRadius;
extern const int &groupCallMajorBlobMaxRadius;
extern const int &groupCallMinorBlobIdleRadius;
extern const int &groupCallMinorBlobMaxRadius;
extern const style::CrossLineAnimation &groupCallMuteCrossLine;
extern const int &groupCallMenuSpeakerArcsSkip;
extern const int &groupCallMenuVolumeSkip;
extern const style::MediaSlider &groupCallMenuVolumeSlider;
extern const style::ArcsAnimation &groupCallSpeakerArcsAnimation;
extern const style::icon &groupCallStatusSpeakerIcon;
extern const int &groupCallStatusSpeakerArcsSkip;
extern const style::ArcsAnimation &groupCallStatusSpeakerArcsAnimation;
extern const style::CrossLineAnimation &callTopBarMuteCrossLine;
} // namespace st
